apiVersion: apps/v1
kind: Deployment
metadata:
  name: synergychat-crawler
  namespace: crawler
  labels:
    app: synergychat-crawler
spec:
  replicas: 1
  selector:
    matchLabels:
      app: synergychat-crawler
  template:
    metadata:
      labels:
        app: synergychat-crawler
    spec:
      containers:
        - name: synergychat-crawler-1
          image: lanecwagner/synergychat-crawler:latest
          envFrom:
            - configMapRef:
                name: synergychat-crawler-configmap
          volumeMounts:
            - name: cache-volume
              mountPath: /cache
        - name: synergychat-crawler-2
          image: lanecwagner/synergychat-crawler:latest
          envFrom:
            - configMapRef:
                name: synergychat-crawler-configmap
          env:
            - name: CRAWLER_PORT
              valueFrom:
                configMapKeyRef:
                  name: synergychat-crawler-configmap
                  key: CRAWLER_PORT_2
          volumeMounts:
            - name: cache-volume
              mountPath: /cache
        - name: synergychat-crawler-3
          image: lanecwagner/synergychat-crawler:latest
          envFrom:
            - configMapRef:
                name: synergychat-crawler-configmap
          env:
            - name: CRAWLER_PORT
              valueFrom:
                configMapKeyRef:
                  name: synergychat-crawler-configmap
                  key: CRAWLER_PORT_3
          volumeMounts:
            - name: cache-volume
              mountPath: /cache
      volumes:
        - name: cache-volume
          emptyDir: {}